Bug 171696 - [PATCH] databases/pgadmin3: update to 1.16.0, removed pkg-plist
Summary: [PATCH] databases/pgadmin3: update to 1.16.0, removed pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-17 06:10 UTC by nemysis
Modified: 2012-10-01 13:30 UTC (History)
1 user (show)

See Also:


Attachments
pgadmin3-1.16.0.patch (24.48 KB, patch)
2012-09-17 06:10 UTC, nemysis
no flags Details | Diff
pgadmin3.diff (24.48 KB, patch)
2012-09-19 11:09 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-09-17 06:10:01 UTC
- Update to 1.16.0

Not needed

-IGNORE_WITH_PGSQL=	82 83

Because is used for newest PostgreSQL version

+BUILD_DEPENDS=	${LOCALBASE}/bin/postgres:${PORTSDIR}/databases/postgresql92-server


Removed because not works, pgAdmin install NLS in DATADIR

-USE_GETTEXT=	yes


Added

+PLIST_FILES=	bin/${PORTNAME} \
+		bin/png2c
+
+PORTDATA=	*


Removed file(s):
- pkg-plist

Port maintainer (fjoe@FreeBSD.org) is cc'd.

Generated and tested manually, tested with port test sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2012-09-17 06:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->fjoe

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 R.Mahmatkhanov 2012-09-17 06:17:45 UTC
Hi,

nemysis wrote on 17.09.2012 09:06:
>> Number:         171696
>> Category:       ports
>> Synopsis:       [PATCH] databases/pgadmin3: update to 1.16.0, removed pkg-plist

[...]

> - Update to 1.16.0
>
> Not needed
>
> -IGNORE_WITH_PGSQL=	82 83
>
> Because is used for newest PostgreSQL version
>
> +BUILD_DEPENDS=	${LOCALBASE}/bin/postgres:${PORTSDIR}/databases/postgresql92-server

[...]

I disagree. It *brings* support for 9.2, but not requires it. It works 
just fine with less fresh PostgreSQL versions.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 3 nemysis 2012-09-19 11:09:03 UTC
pgAdmin 1.16 is remaining compatible with all PostgreSQL releases starting from 8.2.
Comment 4 Max Khon freebsd_committer 2012-10-01 13:19:20 UTC
State Changed
From-To: open->closed

Port updated to 1.16.0. Thanks!
Comment 5 dfilter service freebsd_committer 2012-10-01 13:21:57 UTC
Author: fjoe
Date: Mon Oct  1 12:21:43 2012
New Revision: 305113
URL: http://svn.freebsd.org/changeset/ports/305113

Log:
  - Update to 1.16.0
  - Remove pkg-plist
  
  PR:		171696
  Submitted by:	nemysis (partially)

Deleted:
  head/databases/pgadmin3/pkg-plist
Modified:
  head/databases/pgadmin3/Makefile
  head/databases/pgadmin3/distinfo

Modified: head/databases/pgadmin3/Makefile
==============================================================================
--- head/databases/pgadmin3/Makefile	Mon Oct  1 12:16:46 2012	(r305112)
+++ head/databases/pgadmin3/Makefile	Mon Oct  1 12:21:43 2012	(r305113)
@@ -6,21 +6,21 @@
 #
 
 PORTNAME=	pgadmin3
-PORTVERSION=	1.14.2
-PORTREVISION=	1
+PORTVERSION=	1.16.0
 CATEGORIES=	databases
-MASTER_SITES=	${MASTER_SITE_PGSQL}
+MASTER_SITES=	PGSQL
 MASTER_SITE_SUBDIR=	pgadmin3/release/v${PORTVERSION}/src
+DIST_SUBDIR=	postgresql
 
 MAINTAINER=	fjoe@FreeBSD.org
 COMMENT=	PostgreSQL database design and management system
 
+IGNORE_WITH_PGSQL=	82 83
+
 MAKE_JOBS_SAFE=	yes
 USE_GETTEXT=	yes
 USE_PGSQL=	yes
 USE_GMAKE=	yes
-IGNORE_WITH_PGSQL=	82 83
-DIST_SUBDIR=	postgresql
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=	LIBS="${PTHREAD_LIBS}"
 CPPFLAGS+=	${PTHREAD_CFLAGS}
@@ -30,6 +30,9 @@ USE_WX=		2.8
 WX_COMPS=	wx contrib
 WX_UNICODE=	yes
 
+PLIST_FILES=	bin/pgadmin3 bin/png2c
+PORTDATA=	*
+
 post-patch:
 	@${REINPLACE_CMD} -e 's,/wx-config,/${WX_CONFIG:T},' ${WRKSRC}/configure
 	@${REINPLACE_CMD} -e 's,/usr/bin/xterm,${LOCALBASE}/bin/xterm,' ${WRKSRC}/plugins.d/plugins.ini

Modified: head/databases/pgadmin3/distinfo
==============================================================================
--- head/databases/pgadmin3/distinfo	Mon Oct  1 12:16:46 2012	(r305112)
+++ head/databases/pgadmin3/distinfo	Mon Oct  1 12:21:43 2012	(r305113)
@@ -1,2 +1,2 @@
-SHA256 (postgresql/pgadmin3-1.14.2.tar.gz) = 043e782fcedbf46f040d7164256f531ad4711730b97bd280b16035fb279fd872
-SIZE (postgresql/pgadmin3-1.14.2.tar.gz) = 15041255
+SHA256 (postgresql/pgadmin3-1.16.0.tar.gz) = f9cd6ff620f9c920615261ed6bd4b4c9f7b446420ed18a8080d2375640d851ac
+SIZE (postgresql/pgadmin3-1.16.0.tar.gz) = 13467810
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"